* ----------------------- FAXPRO1.PRG ------------------------------------*
* Written by: Mike Reed, CompuSolve      Date: 11/01/94
* This sample program demonstrates how to send a single file as a fax
* using the FAXpro xBASE library.  It has been written using dBASEIII
* syntax so as to be compatible with virtually any xBASE language.
* Program assumes you have a CAS Resident Manager installed and that
* the fax/modem hardware has been set up to use multiplex number xCB,
* the default for Intel SatisFAXtion units.

SET TALK OFF
SET ESCAPE OFF
* LOAD the FAXPRO.BIN library
LOAD FAXPRO

SET CONFIRM ON
CLEAR
CrLf = CHR(13) + CHR(10)  && Define carr ret/line feed pair

* Issue a BOARD command so FAXpro recognizes our CAS fax board
* "BOARD #<b>, [m]"
BoardCmd = "BOARD #1, xCB"
CALL FAXPRO WITH BoardCmd
IF LEFT(BoardCmd, 2) <> "BO"   && Check if FAXpro returned an error code
   ? "BOARD command failed. Resident Manager not installed or fax board"
   ? "is set to use a multiplex number other than xCB."
   ? "Hit any key ..."
   DO WHILE INKEY() = 0
   ENDDO
   CANCEL
ENDIF

* Prompt for filename to send and recipient's name and fax number
STORE SPACE(30) TO FileNm, RecipNm, RecipNo
@  8,5 SAY "File to fax (drive:\path\name)" GET FileNm
@  9,5 SAY "Name of recipient" GET RecipNm
@ 10,5 SAY "Fax number of recipient" GET RecipNo
READ

* Ask user if they want to send the fax
@ 12,5 SAY "Choice (0=cancel fax, 1=send fax) ? "
keypress = INKEY()
DO WHILE keypress < 48 .OR. keypress > 49
   keypress = INKEY()
ENDDO

IF keypress <> 49			&& If other than "1", exit
   CANCEL
ENDIF

* Send fax using a SEND1 command with syntax:
* "SEND1 #<b>,<tt>,<s>,<f>,<p>,[r],[d],[t],[c]"
TType = "1"	   && <tt> transfer type (1=normal resol 100x200 dpi)
TxtSz = "80"   && <s> fax text size 80 chars across page
FileNm = TRIM(FileNm)    && <f>
RecipNo = TRIM(RecipNo)  && <p>
RecipNm = TRIM(RecipNm)  && [r]
Cover = "This is line 1 of cover sheet." + CrLf + "This is line 2"
Send1 = "SEND1 #1,&TType,&TxtSz,&FileNm,&RecipNo,&RecipNm,,," + Cover
CALL FAXPRO WITH Send1
IF LEFT(Send1, 2) <> "SE"	&& Check if error code was returned
   ? "SEND1 command failed.  Error code: " + LEFT(Send1, 5)
   ? "Hit any key ..."
   DO WHILE INKEY() = 0
   ENDDO
   CANCEL
ENDIF

* Fax event has been sent to Resident Manager
* Now keep displaying the current event status until user hits ESC
@ 14,0 TO 18,79 DOUBLE
@ 14,25 SAY " STATUS (press ESC to exit) "
DO WHILE INKEY() <> 27
   * Get a few of the fields that STATUS can return for current event
   * " STATUS #<b>,<eh>,<q>,[fld1],[fld2], ... [fldn]"
   StatCmd = "STATUS #1,0, ,EVENT,TYPE,STATUS,TO,PHONE,DURATION,PSENT"
   CALL FAXPRO WITH StatCmd
   IF LEFT(StatCmd, 2) <> "ST"
      @ 16,1 CLEAR TO 16,78
      @ 16,1 SAY "SYSTEM IDLE - NO CURRENT EVENT TO REPORT ..."
   ELSE
      Status = "GETRESULT" + SPACE(100)
      CALL faxpro WITH Status
      @ 16,1 CLEAR TO 16,78
      @ 16,1 SAY TRIM(STATUS)
   ENDIF
ENDDO
